Subject: bug#40952: gnuradio-osmosdr: no hook into gnuradio block directory?

From: Christopher Howard <[email-masked]>
Date: Wed, 29 Apr 2020 06:56:53 -0800

The osmosdr sink and source blocks are showing up now after updating to
the specified commit. I have to leave for work now, but was planning to
try using the source block this evening with my HackRF SDR.

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)

On Wed, 2020-04-29 at 10:38 +0200, Guillaume Le Vaillant wrote:
> Christopher Howard <[email-masked]> skribis:
> 
> > Hi, I installed gnuradio and gnuradio-osmosdr, but when I open
> > gnuradio, none of the osmosdr blocks are available from gnuradio
> > blocks
> > list. Specifically, I was looking for osmosdr source block, which I
> > am
> > familiar with from using gnuradio under Debian. I believe the
> > problem
> > is that the osmosdr blocks are not in the directory where gnuradio-
> > companion is looking for blocks.
> > 
> > When starting up gnuradio-companion, stdout indicates grc is
> > looking for blocks here:
> > 
> > /gnu/store/h2igg2gcbx6ds8wbvlkqz0dkplvwjxbd-gnuradio-
> > 3.8.0.0/share/gnuradio/grc/blocks
> > 
> > But osmosdr blocks are in 
> > 
> > /gnu/store/ppb504vizb32f4w2s5f0yd6i4xpy41nz-gnuradio-osmosdr-
> > 0.2.0/share/gnuradio/grc/blocks/
> > 
> > Evidentally gnuradio package needs to be enhanced to create a per-
> > profile merged directory from all gnuradio- block packages that are
> > installed. Unless there is some way to extend the gnuradio search
> > path
> > through environment variables.
> 
> Hi Christopher,
> 
> I pushed a fix (commit cf480830e22e7725b8607b5b895e49f74d4e1525) that
> should put the paths to installed third-party blocks in
> GRC_BLOCKS_PATH,
> and allow gnuradio-companion to see them. Could you check if it works
> for you?